Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.PortfolioFileNode Class Reference
Inheritance diagram for FoxitPDFSDKPython3.PortfolioFileNode:

## Public Member Functions
def | PortfolioFileNode (other)
| Constructor, with parent class object. More...
def | GetFileSpec ()
| Get the related file specification object which is used to access an embedded file information and data. More...
def | GetKeyName ()
| Get the key name of the related file specification object. More...
Public Member Functions inherited from FoxitPDFSDKPython3.PortfolioNode
def | PortfolioNode (other)
| Constructor, with another portfolio node object. More...
def | GetNodeType ()
| Get node type. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython3.PortfolioNode
| e_TypeFile = _fsdk.PortfolioNode_e_TypeFile
| Portfolio node type: file.
| e_TypeFolder = _fsdk.PortfolioNode_e_TypeFolder
| Portfolio node type: folder.
| e_TypeUnknown = _fsdk.PortfolioNode_e_TypeUnknown
| Unknown portfolio node type.

## Detailed Description

Portfolio file node is always associated with a file specification which represents an embedded file in portfolio PDF document.
Class PortfolioFileNode is derived from class PortfolioNode . It offers function to access related file specification object and the key name for this file specification object.

## Constructor & Destructor Documentation

## ◆ PortfolioFileNode()

def FoxitPDFSDKPython3.PortfolioFileNode.PortfolioFileNode | ( |  | other | ) |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ GetFileSpec()

def FoxitPDFSDKPython3.PortfolioFileNode.GetFileSpec | ( |  | ) |

Get the related file specification object which is used to access an embedded file information and data.

Returns
  A file specification object.

## ◆ GetKeyName()

def FoxitPDFSDKPython3.PortfolioFileNode.GetKeyName | ( |  | ) |

Get the key name of the related file specification object.

Key name is used for storing a file specification. Key name can be used in class Attachments . Also, key name can be used to specify the initial document in class Portfolio .

Returns
  A file specification object.